Firmware-update: Synology DSM 6.2.1 build 23824-2

Synology logo (45 pix) Synology heeft een update voor versie 6.2.1 van Disk Station Manager uitgebracht. Synology DSM is de beheersoftware die op diverse nas-producten van het bedrijf draait. De Disk en Rack Stations bieden meer dan alleen extra opslagruimte. Zo kunnen ook back-ups van alle clients op het netwerk worden gemaakt en kunnen bestanden via http, ftp, bittorrent, usenet en emule worden gedownload, zodat bijvoorbeeld energiegulzige pc's 's nachts uit kunnen, terwijl de download gewoon binnenkomt. Verder kunnen via de ingebouwde iTunes-server audio- en videobestanden over het netwerk worden gestreamd, kan met behulp van php en MySQL een dynamische website worden gehost en kan het apparaat als printserver fungeren.

Om versie 6.2 te kunnen installeren, moet minimaal versie 6.0 aanwezig zijn. Verder is het uitsluitend geschikt voor de nasmodellen waarvan het typenummer eindigt op 11 of hoger. In versie 6.2 zijn weinig veranderingen aangebracht die voor thuisgebruikers belangrijk zijn. Voor de zwaardere modellen en de nassen die in bedrijfsomgevingen worden ingezet, zijn wel de nodige veranderingen en verbeteringen aangebracht. In deze update, waarvoor de nas moet worden herstart, zijn de volgende veranderingen en verbeteringen aangebracht:

Changes in version: 6.2.1-23824-2
  • Fixed an issue where the SSD cache auto-protection mechanism was not able to start automatically.
  • Fixed an issue where installing package creates unnecessary package backup that occupies system space.
Changes in version: 6.2.1-23824-1
  • Improve Package Center system mechanisms to enhance user experience.
  • Enhanced the ext4 file system stability.
  • Fixed an issue where external hard drives of WD My Book might not be recognized if DSM is rebooted while the drives are in hibernation.
  • Fixed an issue where Microsoft Office files might not be renamed in Windows File Explorer through SMB protocol.
  • Fixed an issue where the HASP package might not be usable after upgrading to DSM 6.2-23739-2 and DSM 6.2.1-23824.
  • Fixed multiple security vulnerabilities regarding Linux kernel (Synology-SA-18:44).
  • Fixed a security vulnerability (Synology-SA-18:55).
  • Fixed a security vulnerability regarding wpa_supplicant (CVE-2018-14526).
  • Fixed a security vulnerability regarding OpenSSH (CVE-2018-15473).
  • Fixed multiple security vulnerabilities regarding Samba (CVE-2018-10858, CVE-2018-10919).

Versienummer 6.2.1 build 23824-2
Releasestatus Final
Website Synology
Download https://www.synology.com/nl-nl/support/download
Licentietype Freeware

Lees meer

Reacties (41)

Wijzig sortering
Vroeger had ik blind vertrouwen in Synology updates maar nu wacht ik een weekje af.
kan iemand me vertellen welke modellen nog 5 jaar garantie krijgen voor updates? Vanaf de x18x modellen of bijvoorbeeld 417+ modellen ook nog 5 jaar garantie.

zit er echt aan te denken om een NAS aan te schaffen voor back-up en een goedkopere voor incremental updates ergens anders op locatie.
Je kan hier kijken welke modellen nog DSM updates krijgen.
Bijv de DS109 is de oudste die nog critical updates krijgt, nou die is dus van 2009.
Dus als je nog 5 jaar wil, dan moet je een DS114 of nieuwer hebben.
(nee, dat is geen garantie, maar goed).
De 718+ is nieuwer dan de DS114 en die krijgt maar 3 jaar. Lullig als je zo'n apparaat 1,5 jaar na release koopt.
Nee, dat is de product warranty. Dus de fabrieksgarantie en zegt niets over de hoelang de DS gesupport blijft.
Op deze pagina staat de nodige informatie: https://www.synology.com/nl-nl/products/status

Update 2 draait bij mij zonder problemen op een DS415+

[Reactie gewijzigd door Ralfie165 op 12 december 2018 16:19]

Hij draait ook zonder problemen op mijn DS415+
Laatste 2 getallen geven het "modeljaar" aan, voor zover mijn kennis gaat zal een **15 dus (minstens) ondersteund worden tot 2020.
Minstens is inderdaad het juiste woord hier. Synology kent twee verschillende update gradaties: volledig of alleen kritische updates. Mijn ouwe trouwe DS410 (uit 2010 dus) krijgt nog steeds kritische updates. Een oud OS, maar nog wel steeds bij de tijd wat betreft security bijvoorbeeld. Erg netjes van Synology.
Gewoon aanschaffen , een perfect apparaat.
Heb de mijne een 411+ al van dec 2010 en wordt nog steeds geupdate.
Geweldig dat ze dat nog steeds doen en vragen kunnen ze altijd oplossen.
Heel fijn vertrouwt merk NAS.
Moet dit niet 6.2.1-23824-2 zijn?
Ja dat lijkt mij ook aangezien het om update 2 gaat.
Net gedownload, moet inderdaad update 2 zijn.
Zo te zien is het aangepast.
Het enige wat ik nog mis op mijn synology is een degelijke firewall functie. Vpn+proxy+reclamefilterende firewall=geen ads zonder adblockers meer, vooral handig voor de gsm. Ik vind het zonde om daar een extra firewall bakje voor te moeten zetten. Iemand een idee hoe dit op te lossen is? Inloggen op de linux en iptables instellen haalt niets uit.
Kijk voorlopig voor je Android devices anders eens naar de app Blokada. Up to date te houden via de XDA Labs app. Heel gebruiksvriendelijk en zet een lokale VPN op om ads te blokkeren en alternatieve DNS (bijv 9 of Cloudflare) te gebruiken met 1 vinkje. Verbruikt daardoor vrijwel geen accu.
Ze verkopen ook een router dus ik denk dat ze die functionaliteit niet naar de NAS-en brengen.
Thanks! Daar ga ik volgend weekend eens mee testen :)
+1 voor het update beleid van Synology. (DS215j)
Helaas nog steeds geen update van OpenSSL. De huidige versie is 1.0.2o terwijl het versienummer van OpenSSL inmiddels al op 1.1.1 zit. Ook het patchlevel van 1.0.2 zit inmiddels al op 1.0.2q...
In tegenstelling tot de vorige twee updates heb ik deze heel snel binnen gekregen. De vorige update duurde twee weken, die daarvoor heb ik handmatig gedownload...

Maar zoals altijd: vlekkeloze installatie :)
Prima al die updates maar krijg bij OpenVPN nog steeds die onheilspellende
No server certificate verification method has been enabled
melding

Ik heb me er al eens in verdiept maar ik kreeg het met Let's Encrypt certificaten in ieder geval niet voor elkaar om dit euvel op te lossen.
Normaal gesproken kun je de optie:
remote-cert-tls server
hiervoor opnemen in je .ovpn configuratiebestand.

Bij de standaard Syno OpenVPN configuratie (gegenereerde CA + server certificaat) heeft het certificaat het juiste key usage eigenschap. Of je met een Let's Encrypt certificaat ook deze key usage hebt weet ik niet.

[Reactie gewijzigd door JohanF op 12 december 2018 23:34]

Bedankt, die optie toevoegen laat de melding in ieder geval verdwijnen. Ik krijg er wel een ander enigszins raadselachtig zinnetje in het log voor terug:
Enter Management Password:
De verbinding komt verder gewoon tot stand (net als vóór het toevoegen van "remote-cert-tls server")

Het is fijn dat Synology de optie van certificaten genereren aanbiedt maar ze hadden wel iets scheutiger mogen zijn met de documentatie en/of de implementatie er van. Ik maak gebruik van OpenVPN op zowel Windows, Android en iOS maar bv. op Android kreeg ik dan zo'n melding
This profile doesn't include a client certificate. Continue connecting without a certificate or select one from the Android keychain?
Als je dan vervolgens
setenv CLIENT_CERT 0
toevoegt vraagt Android er niet meer om maar ik blijf toch ook hierna zitten met het gevoel dat een en ander maar half werkt en dat het nog steeds niet "helemaal veilig" is :/
Die Enter Management Password ken ik ook niet.

Mijn ovpn profiel ziet er zo uit:
dev tun
tls-client
remote mijnhostnaam.com 1194
pull
proto udp
script-security 2
comp-lzo
reneg-sec 0
cipher AES-256-CBC
auth SHA512
auth-user-pass
remote-cert-tls server

<ca>
...certificaat van DST Root CA X3...
...certificaat van Let's Encrypt Authority X3...
</ca>
Kennelijk heb ik ook ooit eens het Let's Encrypt certificaat ingesteld voor de VPN server :+
Misschien dat de auth-user-pass optie bij jou de certificaatvraag onderdrukt op Android?
De "Select Certificate" vraag krijg ik ook in Android maar als ik op continue druk wordt de verbinding wel gewoon opgezet.

@JohanF, bedankt voor de tip, hopelijk is mijn verbinding weer iets veiliger.
Met OpenVPN (app en macos) kreeg ik het niet voor elkaar. Maar tunnelblick en OpenVPN for Android gaven geen problemen.
Zit er nou al eens een browser in? :+ :+ :+ :+

//edit: lekker bezig met modden. Er zitten meer mensen op een browser te wachten. De concurrentie heeft het wel al.

[Reactie gewijzigd door GeoBeo op 12 december 2018 19:00]

Dat is voor qnap!
edit: ah, ik had die franse link gemist hierboven.

[Reactie gewijzigd door SED op 12 december 2018 19:52]

Als er echt zo een grote vraag naar was had iemand wel een package gemaakt.
https://originhelp.synolo...package_for_approval.html
Een beetje off-topic, maar omdat hier over ondersteuning is begonnen, is er al iets bekend welke modellen DSM 7 kunnen gaan draaien?

Op dit item kan niet meer gereageerd worden.

Kies score Let op: Beoordeel reacties objectief. De kwaliteit van de argumentatie is leidend voor de beoordeling van een reactie, niet of een mening overeenkomt met die van jou.

Een uitgebreider overzicht van de werking van het moderatiesysteem vind je in de Moderatie FAQ.

Rapporteer misbruik van moderaties in Frontpagemoderatie.




Google Pixel 7 Sony WH-1000XM5 Apple iPhone 14 Samsung Galaxy Watch5, 44mm Sonic Frontiers Samsung Galaxy Z Fold4 Insta360 X3 Nintendo Switch Lite

Tweakers vormt samen met Hardware Info, AutoTrack, Gaspedaal.nl, Nationale Vacaturebank, Intermediair en Independer DPG Online Services B.V.
Alle rechten voorbehouden © 1998 - 2022 Hosting door True

Tweakers maakt gebruik van cookies

Tweakers plaatst functionele en analytische cookies voor het functioneren van de website en het verbeteren van de website-ervaring. Deze cookies zijn noodzakelijk. Om op Tweakers relevantere advertenties te tonen en om ingesloten content van derden te tonen (bijvoorbeeld video's), vragen we je toestemming. Via ingesloten content kunnen derde partijen diensten leveren en verbeteren, bezoekersstatistieken bijhouden, gepersonaliseerde content tonen, gerichte advertenties tonen en gebruikersprofielen opbouwen. Hiervoor worden apparaatgegevens, IP-adres, geolocatie en surfgedrag vastgelegd.

Meer informatie vind je in ons cookiebeleid.

Sluiten

Toestemming beheren

Hieronder kun je per doeleinde of partij toestemming geven of intrekken. Meer informatie vind je in ons cookiebeleid.

Functioneel en analytisch

Deze cookies zijn noodzakelijk voor het functioneren van de website en het verbeteren van de website-ervaring. Klik op het informatie-icoon voor meer informatie. Meer details

janee

    Relevantere advertenties

    Dit beperkt het aantal keer dat dezelfde advertentie getoond wordt (frequency capping) en maakt het mogelijk om binnen Tweakers contextuele advertenties te tonen op basis van pagina's die je hebt bezocht. Meer details

    Tweakers genereert een willekeurige unieke code als identifier. Deze data wordt niet gedeeld met adverteerders of andere derde partijen en je kunt niet buiten Tweakers gevolgd worden. Indien je bent ingelogd, wordt deze identifier gekoppeld aan je account. Indien je niet bent ingelogd, wordt deze identifier gekoppeld aan je sessie die maximaal 4 maanden actief blijft. Je kunt deze toestemming te allen tijde intrekken.

    Ingesloten content van derden

    Deze cookies kunnen door derde partijen geplaatst worden via ingesloten content. Klik op het informatie-icoon voor meer informatie over de verwerkingsdoeleinden. Meer details

    janee